package com.bocloud.ims.interfaces.resource;

import java.util.List;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.OSTenant;

public interface VendorProjectService {

	BocloudResult handle(Long tenantId, List<Long> poolIds, RequestContext context);

	BocloudResult deleteByTenant(Long tenantId);

	OSTenant getAncestorProject(Long vendorId, Long tenantId);
}
